#
# spec file for package python-DataShape
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python36 1
%bcond_without python2
Name:           python-DataShape
Version:        0.5.4
Release:        2.14
Summary:        A data description language
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/blaze/datashape/
Source:         https://github.com/blaze/datashape/archive/%{version}.tar.gz
BuildRequires:  %{python_module multipledispatch >= 0.4.7}
BuildRequires:  %{python_module numpy >= 1.7}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module python-dateutil}
BuildRequires:  %{python_module setuptools}
%if %{with python2}
BuildRequires:  python2-mock
%endif
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-multipledispatch >= 0.4.7
Requires:       python-numpy >= 1.7
Requires:       python-python-dateutil
BuildArch:      noarch
%python_subpackages

%description
DataShape is a language for describing data. It is an extension of the
NumPy dtype with an emphasis on cross language support.

%prep
%setup -q -n datashape-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# marking xfail works differently nowadays -- https://github.com/blaze/datashape/issues/78
donttest+=" or test_arbitrary_string and (s4 or s5 or s6)"
# https://github.com/blaze/datashape/issues/232
donttest+=" or test_user and (test_validate or test_nested_iteratables or test_tuples_can_be_records_too)"
%pytest -k "not (${donttest:4})"

%files %{python_files}
%doc  README.rst
%license LICENSE
%{python_sitelib}/datashape-%{version}*-info
%{python_sitelib}/datashape/

%changelog
* Fri Apr  2 2021 Ben Greiner <code@bnavigator.de>
- Skip python36 build
- Enable test suite
* Thu May  3 2018 toddrme2178@gmail.com
- Use %%license tag
* Wed Aug 23 2017 toddrme2178@gmail.com
- Update to version 5.4
  * Python-3.6 compatibility for tests.
- Update to version 5.3
  * Fixes :func:`~coretypes.Mono.__eq__` to ensure equality among
  :class:`~coretypes.Mono` subclasses compare equal when it makes
  sense to do so.
* Thu May 18 2017 toddrme2178@gmail.com
- Implement single-spec version
- Fix source URL
- Update to version 0.5.2
  * No upstream changelog
* Fri Feb 26 2016 tbechtold@suse.com
- Require python-python-dateutil. package was renamed
* Fri Jul 10 2015 toddrme2178@gmail.com
- update to version 0.4.6:
  * no changelog available
* Thu May 21 2015 toddrme2178@gmail.com
- specfile: DataShape->datashape in several places
- update to version 0.4.5:
  * no changelog available
- update to version 0.4.4:
  * no changelog available
* Tue Mar  3 2015 toddrme2178@gmail.com
- Initial version
